//    Copyright (C) 2003 Chad Brassil
//    This file is part of NFP.
//
//    NFP is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    Foobar is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Foobar; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/******************************************************************************
 *
 * Copyright (c) 1996-1999 Palm, Inc. or its subsidiaries.
 * All rights reserved.
 *
 * File: DateMonth.h
 *
 * Release: Palm OS SDK 4.0 (63220)
 *
 * Description:
 *	  This file defines the Datebook's Month View functions.
 *
 * History:
 *		April 8, 1996	Created by Art Lamb
 *
 *****************************************************************************/
//If I process NFP.h before DateMonth.h, I shouldn't need these lines
//#define SECT1    //don't put an attribute on section one so it resides in the default section
//#define SECT2 __attribute__((section("sectwo")))
//#define SECT3 __attribute__((section("secthree"))) //right now just leave in two
//#define SECT4 __attribute__((section("secfour")))


extern Boolean MonthViewHandleEvent (EventType * event) SECT4;

//Global variables
extern	UInt16				StartDayOfWeek;
extern 	RGBColorType	 	colorLine;					// Color to draw week and month view lines in
// The following global variable is used to control the displaying of the
// current time in the title of a view.
//extern	Boolean				TimeDisplayed;				// True if time in been displayed
//extern	UInt32				TimeDisplayTick;			// Tick count when we stop showing time
extern	TimeFormatType		TimeFormat;
extern	DateType			Date;							// date currently displayed
extern	Boolean				EventInCurrentView;		// true if pen or key event has occurred in the
																	// current view (used only by Week and Month views)




// The duration to display the current time when the title of the 
// Day View is pressed. 
//#define timeDisplayTicks 			((sysTicksPerSecond * 3) / 2)		// 1 1/2 seconds
//#define timeDisplayWaitTicks 		(sysTicksPerSecond / 20)		// 1/20 second


//extern Int32 TimeToWait (void);
